QGIS Application - Feature request #1386
Enhanced Map Tips through Macro Language/Operators
2008-11-06 04:51 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11446
Description

Map Tips are a useful feature to display attribute data on mouse-over as tooltips. However, they can only display a single data column. It
would be very useful to enhance this feature with a simple macro language or operators, which would allow simple calculations and
concatenations of multiple data columns.

Applications would be the concatenation of several columns towards an address: concatenate street, house-nr, zip-code, city, etc. into a
single address string. Another application would be to calculate a new value based on 2 or more other data-columns.

Operators would include simple math operators and at least concatenation. Since QGIS already supports python, it could be useful to use
python compatible syntax for this macro-language/operators.

It would also be useful to display multi-line tooltips. "\
" could trigger a new-line. At most, tooltips could also display image data, such as a small photo thumbnail.

Related issues:
Duplicated by QGIS Application - Bug report # 10351: widget refactoring regre... Closed 2014-05-25

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2012-10-06 02:39 AM - Pirmin Kalberer

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Target version changed from Future Release - Nice to have to Version 2.0.0
- Assignee deleted (nobody -)

Implemented in master with the expression builder and HTML display
